DEV Community

loading...

Problem downloading (pytube) library in Python

hussein_ouda profile image Hussein Ouda ・2 min read

I want to download a library from Python libraries called (pytube)
When I place the download command [pip install git + https: //github.com/pytube/pytube] in the cmd panel, the following output will come out:

Collecting git+https://github.com/pytube/pytube
  Cloning https://github.com/pytube/pytube to c:\users\jit\appdata\local\temp\pip-req-build-w3q3fwqn

Requirement already satisfied (use --upgrade to upgrade): pytube==10.6.1 from git+https://github.com/pytube/pytube in c:\users\jit\appdata\local\programs\python\python39\lib\site-packages
Using legacy 'setup.py install' for pytube, since package 'wheel' is not installed.

WARNING: You are using pip version 20.2.3; however, version 21.0.1 is available.
You should consider upgrading via the 'c:\users\jit\appdata\local\programs\python\python39\python.exe -m pip install --upgrade pip' command.
Enter fullscreen mode Exit fullscreen mode

So I write what prompts [pip install --upgrade pip] into the cmd panel, and it gets the following output:

Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 20.2.3
    Uninstalling pip-20.2.3:
      Successfully uninstalled pip-20.2.3
ERROR: Could not install packages due to an EnvironmentError: [WinError 5] Access is denied: 'C:\\Users\\jit\\AppData\\Local\\Temp\\pip-uninstall-pnqylmmj\\pip.exe'
Consider using the `--user` option or check the permissions.
Enter fullscreen mode Exit fullscreen mode

Illustrative image :
Alt text of image

And in another attempt to install it, I typed the command in the (Terminal) inside the (PyCharm) program:

Collecting git+https://github.com/pytube/pytube
  Cloning https://github.com/pytube/pytube to c:\users\jit\appdata\local\temp\pip-req-build-o5uke_cl
  Running command git clone -q https://github.com/pytube/pytube 'C:\Users\jit\AppData\Local\Temp\pip-req-build-o5uke_cl'

Enter fullscreen mode Exit fullscreen mode

Illustrative image :
Alt text of image

And I did not succeed in installing the library! Why is that? How do I get to the solution?

Discussion (0)

pic
Editor guide